{{- if .Values.apis.instellingen.enabled -}}
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "fullname" (list $ .Values.apis.instellingen.name) }}-alb
  labels:
    {{- include "api-instellingen.labels" . | nindent 4 }}
  annotations:
    helm.sh/hook: pre-install, pre-upgrade
    helm.sh/hook-weight: "1"
    helm.sh/hook-delete-policy: hook-succeeded,hook-failed,before-hook-creation
spec:
  template:
    metadata:
      name: {{ include "fullname" (list $ .Values.apis.instellingen.name) }}-alembic-upgrade
      labels:
        app.kubernetes.io/name: {{  .Values.apis.instellingen.name }}
        {{- include "api-instellingen.labels" . | nindent 8 }}
    spec:
      {{- with .Values.global.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccount: {{ include "api-instellingen.serviceAccountName" . }}
      serviceAccountName: {{ include "api-instellingen.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.global.podSecurityContext | nindent 8 }}
      restartPolicy: Never
      containers:
      - name: alembic-upgrade-job
        securityContext:
          {{- toYaml .Values.global.securityContext | nindent 12 }}
        image: "{{ .Values.apis.instellingen.image.repository }}:{{ .Chart.AppVersion }}"
        imagePullPolicy: {{ .Values.global.imagePullPolicy }}
        command:
          - /app/updateDatabase.sh
          - {{ .Values.global.api.database.update.user }}
          - {{ .Values.global.api.database.update.host}}
          - instellingen
        env:
        - name: PYTHONPATH
          value: "."
        - name: PGPASSWORD
          value: {{ .Values.global.api.database.update.password }}
        - name: DATABASE_URL
          value: {{ .Values.apis.instellingen.databaseUrl }}
        - name: OIDC_CLIENT_ID
          value: "{{ .Values.global.api.auth0.oidcClientID }}"
        - name: DOMAIN
          value: "{{ .Values.global.api.auth0.domain }}"
        - name: AUTH0_ECO_AUDIENCE
          value: "{{ .Values.global.api.auth0.ecoAudience }}"
        - name: AUTH0_ECO_CLIENT_ID
          value: "{{ .Values.global.api.auth0.ecoClientID }}"
        - name: AUTH0_ECO_CLIENT_SECRET
          value: "{{ .Values.global.api.auth0.ecoClientSecret }}"
        - name: AUTH0_ECO_DOMAIN
          value: "{{ .Values.global.api.auth0.ecoDomain }}"
        - name: REDIS_HOST
          value: "{{ .Values.global.redis.host }}"
        - name: REDIS_PASSWORD
          value: "{{ .Values.global.redis.password }}"
        - name: USE_APP_INSTANCE_ID
          value: "False"
{{- end -}}
